## org.apache.batik.ext.awt.image.renderable
Interface FilterColorInterpolation

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Subinterfaces:
  BatikHistogramNormalizationFilter, ColorMatrixRable, ComponentTransferRable, CompositeRable, ConvolveMatrixRable, DiffuseLightingRable, DisplacementMapRable, GaussianBlurRable, SpecularLightingRable, TileRable, TurbulenceRable

All Known Implementing Classes:
  BatikHistogramNormalizationFilter8Bit, ColorMatrixRable8Bit, ComponentTransferRable8Bit, CompositeRable8Bit, ConvolveMatrixRable8Bit, DiffuseLightingRable8Bit, DisplacementMapRable8Bit, GaussianBlurRable8Bit, SpecularLightingRable8Bit, TileRable8Bit, TurbulenceRable8Bit

public interface FilterColorInterpolation
extends Filter

This is an extension of our Filter interface that adds support for a color-interpolation specification which indicates what colorspace the operation should take place in.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`java.awt.color.ColorSpace` `getOperationColorSpace()` Returns the ColorSpace that the object will perform it's work in.
`boolean` `isColorSpaceLinear()` Returns true if this operation is to be performed in the linear sRGB colorspace, returns false if the operation is performed in gamma corrected sRGB.
`void` `setColorSpaceLinear(boolean csLinear)` Sets the colorspace the operation will be performed in.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### isColorSpaceLinear

    public boolean isColorSpaceLinear()

  Returns true if this operation is to be performed in the linear sRGB colorspace, returns false if the operation is performed in gamma corrected sRGB.

### setColorSpaceLinear

    public void setColorSpaceLinear(boolean csLinear)

  Sets the colorspace the operation will be performed in.

  Parameters:
    `csLinear` - if true this operation will be performed in the linear sRGB colorspace, if false the operation will be performed in gamma corrected sRGB.

### getOperationColorSpace

    public java.awt.color.ColorSpace getOperationColorSpace()

  Returns the ColorSpace that the object will perform it's work in.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.